#pragma once

#include "widget.h"
#include "menubutton.h"

#include <SFML/Graphics/RectangleShape.hpp>

class MenuDrop : public Widget
{
public:
    virtual void input(const sf::Event& event) override;
    virtual void update() override;
    virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const override;
    virtual void setRect(const sf::FloatRect& rect) override;
    virtual void setPosition(const sf::Vector2f& position) override;
    virtual bool isUnderMouse(int mouse_x, int mouse_y) const override;

    void trigger();

private:
    sf::RectangleShape _content_rect;
    sf::RectangleShape _bar_button_rect;

    sf::RectangleShape _drop_rect;
    sf::RectangleShape _drop_button_rect;
};
